[expected-failures]
KHR-GLES3.gtf.GL3Tests.transform_feedback2.transform_feedback2_pause_resume = cts 2ae873a77485442197b11dda83660652e5eedfac mesa 922b471777c524f497fb8eda97153a898900f223 post-12.0
KHR-GLES3.gtf.GL3Tests.transform_feedback.transform_feedback_overflow = cts 2ae873a77485442197b11dda83660652e5eedfac mesa 922b471777c524f497fb8eda97153a898900f223 post-12.0
KHR-GLES31.core.tessellation_shader.tessellation_shader_tessellation.gl_InvocationID_PatchVerticesIn_PrimitiveID = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLES31.core.texture_border_clamp.Texture2DR32UI = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLES31.core.texture_border_clamp.Texture2DArrayR32UI = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLES31.core.texture_border_clamp.Texture3DR32UI = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLES31.core.texture_border_clamp.Texture2DR32I = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLES31.core.texture_border_clamp.Texture2DArrayR32I = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLES31.core.texture_border_clamp.Texture3DR32I = cts c072d3a4d0914feba493864fbc6efc172a4da455
KHR-GLESEXT.draw_elements_base_vertex_tests.invalid_mapped_bos = mesa e401cfa28a6e32d7081f9de998e731965ce966fb

[expected-crashes]
KHR-GLES31.core.texture_storage_multisample.APIGLSampleMaski
KHR-GLES3.packed_depth_stencil.stencil_size = no longer using whitelist made of mustpass files
KHR-GLES3.packed_depth_stencil.verify_copy_tex_image = no longer using whitelist made of mustpass files
KHR-GLES3.packed_depth_stencil.verify_get_tex_image = no longer using whitelist made of mustpass files

[fixed-tests]
KHR-GLES3.shaders.preprocessor.extensions.invalid_char_in_behavior_fragment = cts ff5e186db7df4d2f28017062d50ed894e7cc37fd
KHR-GLES3.shaders.preprocessor.extensions.invalid_char_in_behavior_vertex = cts ff5e186db7df4d2f28017062d50ed894e7cc37fd
KHR-GLES3.shaders.preprocessor.extensions.invalid_char_in_name_fragment = cts ff5e186db7df4d2f28017062d50ed894e7cc37fd
KHR-GLES3.shaders.preprocessor.extensions.invalid_char_in_name_vertex = cts ff5e186db7df4d2f28017062d50ed894e7cc37fd
KHR-GLES31.core.shader_image_load_store.advanced-sso-simple = mesa b54bf0e3e3378725dec924f8152dcb012dffcd2e
KHR-GLES2.texture_3d.compressed_texture.negative_compressed_tex_sub_image = cts d75b9a1a88df8033c6b9cc4ea1439c82a336f895
KHR-GLES2.texture_3d.compressed_texture.negative_compressed_tex_image = cts d75b9a1a88df8033c6b9cc4ea1439c82a336f895
KHR-GLES3.packed_pixels.pbo_rectangle.rgba8_snorm = mesa a72dbc461bdb7714656e62cd8f4b00a404c2e6e0
KHR-GLES3.packed_pixels.varied_rectangle.rgba8_snorm = mesa a72dbc461bdb7714656e62cd8f4b00a404c2e6e0
KHR-GLES3.packed_pixels.rectangle.rgba8_snorm = mesa a72dbc461bdb7714656e62cd8f4b00a404c2e6e0
KHR-GLES3.packed_pixels.rectangle.r8_snorm = cts 19a58213e3e870bf258118bd3726c8783cd73b74
KHR-GLES3.packed_pixels.rectangle.rg8_snorm = cts 19a58213e3e870bf258118bd3726c8783cd73b74
KHR-GLES3.packed_pixels.varied_rectangle.r8_snorm = cts 19a58213e3e870bf258118bd3726c8783cd73b74
KHR-GLES3.packed_pixels.pbo_rectangle.r8_snorm = cts 19a58213e3e870bf258118bd3726c8783cd73b74
KHR-GLES3.packed_pixels.pbo_rectangle.rg8_snorm = cts 19a58213e3e870bf258118bd3726c8783cd73b74
KHR-GLES3.packed_pixels.varied_rectangle.rg8_snorm = cts 19a58213e3e870bf258118bd3726c8783cd73b74
KHR-GLES31.core.tessellation_shader.tessellation_shader_quads_tessellation.inner_tessellation_level_rounding = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_shader_triangles_tessellation.identical_triangles = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.single.isolines_tessellation = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.vertex.vertex_spacing = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_shader_triangles_tessellation.inner_tessellation_level_rounding = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_shader_point_mode.points_verification = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.gl_tessLevel = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule4 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.vertex.vertex_ordering = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.data_pass_through = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_shader_quads_tessellation.degenerate_case = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule2 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule3 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule1 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule6 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule7 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.gl_MaxPatchVertices_Position_PointSize = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES31.core.tessellation_shader.tessellation_invariance.invariance_rule5 = mesa d6d35d87f1ae8711ddfe6b9c4b5e532617b21054
KHR-GLES3.shaders.loops.do_while_constant_iterations.mixed_break_continue_vertex = mesa d8ce915a6156f9669b395c48411ec89997cf2fe8
KHR-GLES31.core.compute_shader.shared-max = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.compute_shader.shared-struct = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.compute_shader.atomic-case2 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.compute_shader.resource-atomic-counter = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.compute_shader.atomic-case3 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-allFormats-store-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-glsl-earlyFragTests = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.advanced-cast-cs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-allTargets-atomicFS = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-glsl-misc-cs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.advanced-cast-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-allFormats-loadStoreComputeStage = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.advanced-copyImage-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.advanced-allMips-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-allFormats-load-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-allTargets-loadStoreCS = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.basic-glsl-misc-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.advanced-copyImage-cs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_image_load_store.advanced-allMips-cs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES31.core.shader_storage_buffer_object.advanced-write-fragment-fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GLES2.texture_3d.filtering.combinations.negative = mesa c37df5feaa267080b836bbcf0f2727ec9f1d288e
KHR-GLES3.shaders.struct.local.loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES3.shaders.struct.local.loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES3.shaders.struct.local.nested_struct_array_dynamic_index_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES3.shaders.struct.local.dynamic_loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES3.shaders.struct.local.nested_struct_array_dynamic_index_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES3.shaders.struct.local.dynamic_loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionArgumentAliasing1 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionArgumentAliasing5 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionArgumentAliasing2 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionArgumentAliasing6 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionFunctionCalls1 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionArgumentAliasing3 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionFunctionCalls2 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES31.core.arrays_of_arrays.InteractionArgumentAliasing4 = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GLES2.core.internalformat.texture2d.rgb_half_float_oes_rgb = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES2.core.internalformat.texture2d.rgb_half_float_oes_rgb_linear = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES2.core.internalformat.texture2d.rgba_half_float_oes_rgba = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES2.core.internalformat.texture2d.rgba_half_float_oes_rgba_linear = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES3.core.internalformat.texture2d.rgb_half_float_oes_rgb = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES3.core.internalformat.texture2d.rgb_half_float_oes_rgb_linear = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES3.core.internalformat.texture2d.rgba_half_float_oes_rgba = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES3.core.internalformat.texture2d.rgba_half_float_oes_rgba_linear = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES31.core.internalformat.texture2d.rgb_half_float_oes_rgb = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES31.core.internalformat.texture2d.rgb_half_float_oes_rgb_linear = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES31.core.internalformat.texture2d.rgba_half_float_oes_rgba = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES31.core.internalformat.texture2d.rgba_half_float_oes_rgba_linear = cts 45fb7803bcdd813738883c0c922250082b7bfcd7
KHR-GLES31.core.shader_group_vote.availability = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GLES31.core.shader_group_vote.all_invocations = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GLES31.core.shader_group_vote.any_invocation = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GLES31.core.shader_group_vote.invocations_with_variables = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GLES31.core.arrays_of_arrays.ConstructorsAndUnsizedDeclStructConstructors = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
KHR-GLES31.core.arrays_of_arrays.ConstructorsAndUnsizedDeclConstructorSizing2 = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
KHR-GLES31.core.arrays_of_arrays.ExpressionsEquality1 = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
KHR-GLES31.core.arrays_of_arrays.ConstructorsAndUnsizedDeclConstructors1 = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
KHR-GLES31.core.arrays_of_arrays.ExpressionsEquality2 = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
KHR-GLES31.core.arrays_of_arrays.ConstructorsAndUnsizedDeclUnsizedConstructors = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
KHR-GLES31.core.arrays_of_arrays.ConstructorsAndUnsizedDeclConstructorSizing1 = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84

